CVE Vulnerabilities

CVE-2019-11555

NULL Pointer Dereference

Published: Apr 26, 2019 | Modified: Nov 07, 2023
CVSS 3.x
5.9
MEDIUM
Source:
NVD
CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H
CVSS 2.x
4.3 MEDIUM
AV:N/AC:M/Au:N/C:N/I:N/A:P
RedHat/V2
RedHat/V3
5.3 MODERATE
CVSS:3.0/AV:A/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H
Ubuntu
MEDIUM

The EAP-pwd implementation in hostapd (EAP server) before 2.8 and wpa_supplicant (EAP peer) before 2.8 does not validate fragmentation reassembly state properly for a case where an unexpected fragment could be received. This could result in process termination due to a NULL pointer dereference (denial of service). This affects eap_server/eap_server_pwd.c and eap_peer/eap_pwd.c.

Weakness

A NULL pointer dereference occurs when the application dereferences a pointer that it expects to be valid, but is NULL, typically causing a crash or exit.

Affected Software

Name Vendor Start Version End Version
Hostapd W1.fi * 2.8 (excluding)
Wpa_supplicant W1.fi * 2.8 (excluding)
Wpa Ubuntu bionic *
Wpa Ubuntu cosmic *
Wpa Ubuntu devel *
Wpa Ubuntu disco *
Wpa Ubuntu esm-infra/bionic *
Wpa Ubuntu esm-infra/xenial *
Wpa Ubuntu trusty/esm *
Wpa Ubuntu upstream *
Wpa Ubuntu xenial *

Potential Mitigations

References